backend:
  name: git-gateway
  branch: master

media_folder: '_site/images/'
public_folder: '/images'

collections:
  - name: 'home'
    label: 'Home Page'
    folder: 'src/'
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    fields:
      - { label: 'Site Title', name: 'title', widget: 'string' }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - label: 'Section 1 - hero '
        name: 'hero'
        widget: 'object'
        fields:
          - { label: 'Hero Heading', name: 'header', widget: 'string' }
          - { label: 'Sub Header', name: 'subhead', widget: 'string' }
          - { label: 'Hero Text', name: 'text', widget: 'text' }

      - label: 'Section 2 - About Us'
        name: 'bio'
        widget: 'object'
        fields:
          - { label: 'Bio Text', name: 'header', widget: 'string' }
          - { label: 'Paragraph 1', name: 'para1', widget: 'text' }
          - { label: 'Paragraph 2', name: 'para2', widget: 'text' }
          - { label: 'Bullet Point', name: 'check1', widget: 'text' }
          - { label: 'Bullet Point', name: 'check2', widget: 'text' }
          - { label: 'Bullet Point', name: 'check3', widget: 'text' }
          - { label: 'Bullet Point', name: 'check4', widget: 'text' }

      - label: 'Section 3 - Our Mission Icon Cards'
        name: 'bullet'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'string' }
          - label: 'Edit Icon Card'
            name: 'list'
            widget: 'list'
            fields:
              - { label: 'Heading', name: 'header', widget: 'string' }
              - { label: 'Icon', name: 'icon', widget: 'string' }
              - { label: 'Text', name: 'text', widget: 'string' }

      - label: 'Section 4 - FAQ'
        name: 'faq'
        widget: 'object'
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Image', name: 'image', widget: 'image' }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
          - label: 'FAQs'
            name: 'list'
            widget: 'list'
            fields:
              - { label: 'Question', name: 'question', widget: 'string' }
              - { label: 'Answer', name: 'answer', widget: 'text'}

      - label: 'Section 5 - Call to Action Panel'
        name: 'cta'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }

      - label: 'Section 5 - Testimonial Panel'
        name: 'test'
        widget: 'object'
        fields:
          - { label: 'Testimonial Name', name: 'name', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }
          - { label: 'Image', name: 'image', widget: 'image' }

      - label: 'Section - Reviews'
        name: 'testimonials'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }
          - label: 'Reviews'
            name: 'list'
            widget: 'list'
            fields:  
              - { label: 'Review Name', name: 'name', widget: 'text' }
              - { label: 'Review Heading', name: 'header', widget: 'string' }
              - { label: 'Review', name: 'description', widget: 'text' }
              - { label: 'Review Source', name: 'company', widget: 'string', required: false }
              

      - label: 'Section 6 - Contact Panel'
        name: 'contact'
        widget: 'object'
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }
 


  - name: 'about-page'
    label: 'About Page'
    folder: 'src/about'
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body Text", name: "body", widget: "markdown"}

      - label: 'Team Members'
        name: 'team'
        widget: 'list'
        fields:
          - { label: 'Header', name: 'name', widget: 'string' }
          - { label: 'Featured Image', name: 'image', widget: 'image', required: false }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string', required: false }
          - { label: 'Biography', name: 'text', widget: 'text' }
          - { label: 'Title Position', name: 'position', widget: 'string' }


  - name: 'course'
    label: 'Course Pages'
    folder: 'src/courses'
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Header", name: "h1", widget: "string" }
      - { label: "Featured Image", name: "image", widget: "image" }
      - { label: "Course Type", name: "type", widget: "string" }
      - { label: "Duration", name: "duration", widget: "string" }
      - { label: "Mode", name: "mode", widget: "string" }
      - { label: "Location", name: "campus", widget: "string" }
      - { label: "Validation", name: "validation", widget: "string" }
      - { label: "Application Link", name: "application", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown"}
      - label: 'Testimonial'
        name: 'testimonial'
        widget: 'object'
        fields:
          - { label: 'Name', name: 'name', widget: 'string' }
          - { label: 'Image', name: 'image', widget: 'image' }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
          - { label: 'Testimonial Text', name: 'text', widget: 'text' }
      - { label: "CTA Text", name: "cta", widget: "text" }

  - name: "contact"
    label: "Contact Page"
    folder: "src/contact"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body", name: "body", widget: "markdown"}  
  
  - name: "information"
    label: "Policy Pages"
    folder: "src/information"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title - for Google SEO", name: "title", widget: "string" }
      - { label: "Page Header", name: "h1", widget: "string" }
      - { label: "Description for SEO 170 chars", name: "description", widget: "text" }
      - { label: "Body", name: "body", widget: "markdown"} 

  - name: "pages"
    label: "Other Pages"
    folder: "src/pages"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title - for Google SEO", name: "title", widget: "string" }
      - { label: "Page Header", name: "h1", widget: "string" }
      - { label: "Description for SEO 170 chars", name: "description", widget: "text" }
      - { label: "Body", name: "body", widget: "markdown"} 
  
  - name: 'settings'
    label: 'Site Settings'
    delete: false # Prevent users from deleting documents in this collection
    editor:
      preview: false
    files:
      - name: 'general'
        label: 'Site Settings'
        file: 'src/_data/settings.json'
        description: 'General Site Settings'
        fields:
          - { label: 'Site title', name: 'name', widget: 'string' }
          - { label: 'Site Web Address', name: 'domain', widget: 'string' }
          - { label: 'Site tag line', name: 'tagline', widget: 'string' }
          - { label: 'Site Description SEO', name: 'description', widget: 'string' }
          # - { label: 'Logo', name: 'logo', widget: 'image' }
          # - { label: 'Footer Logo', name: 'footer_logo', widget: 'image' }
          - { label: 'Phone Number', name: 'phone', widget: 'string' }
          - { label: 'Phone Number Display', name: 'phone_display', widget: 'string' }
          - { label: 'Email Address', name: 'email', widget: 'string' }
          - { label: 'Address Line 1', name: 'address1', widget: 'string' }
          - { label: 'Address Line 2', name: 'address2', widget: 'string' }
          - { label: 'Address Line 3', name: 'address3', widget: 'string' }
          - { label: 'Facebook Link', name: 'facebook', widget: 'string' }
          - { label: 'twitter Link', name: 'twitter', widget: 'string' }
          - { label: 'Linkedin Link', name: 'linkedin', widget: 'string' }
          - { label: 'Google Business Link', name: 'google', widget: 'string' }



      # - { label: 'File', name: 'file', widget: 'file', required: false }

      # - label: 'Section 4 - Join TGBN Panel'
      #   name: 'infoPanel'
      #   widget: 'object'
      #   fields:
      #     - { label: 'Header', name: 'infoPanelTitle', widget: 'string' }
      #     - { label: 'Panel Image', name: 'infoPanelImage', widget: 'image' }
      #     - { label: 'Panel Text', name: 'infoPanelSubText', widget: 'text' }
      #     - label: 'info Panel List'
      #       name: 'info'
      #       widget: 'list'
      #       fields:
      #         - { label: 'List Item', name: 'text', widget: 'string' }

  # - name: members
  #   label: 'Members Page'
  #   folder: 'src/members'
  #   create: true
  #   slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
  #   fields:
  #     - { label: 'Page Title', name: 'title', widget: 'string' }
  #     - { label: 'Company name', name: 'companyName', widget: 'string' }
  #     - { label: 'Company Logo/Image', name: 'image', widget: 'image' }
  #     - { label: 'Company location', name: 'location', widget: 'string' }
  #     - { label: 'Sector', name: 'service', widget: 'string' }
      # - { label: 'Featured Image Alt Text', name: 'imageAlt', widget: 'string', required: false }
      # - { label: 'Banner Image ( Not Required )', name: 'banner', widget: 'image', required: false}
      # - { label: 'website', name: 'website', widget: 'string' }
      # - { label: 'Body', name: 'body', widget: 'markdown'}

  # - name: "events"
  #   label: "Events Page"
  #   folder: "src/blog"
  #   create: true
  #   slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Post Date", name: "date", widget: "datetime", default: "" }
  #     - { label: "Blog Description", name: "description", widget: "text" }
  #     - { label: "Blog Featured Image", name: "image", widget: "image" }
  #     - { label: "Body", name: "body", widget: "markdown"}

  # - name: join
  #   label: Join Us Page
  #   folder: 'src/join'
  #   slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Header", name: "header", widget: "string" }
  #     - { label: "Body", name: "body", widget: "markdown"}
  #     - { label: 'File', name: 'file', widget: 'file', required: false }

  # - name: 'resources'
  #   label: 'Resources Page'
  #   folder: 'src/resourcespage'
  #   slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Header", name: "header", widget: "string" }
  #     - { label: "Body", name: "body", widget: "markdown"}


      
      
